## class osgParticle::LinearInterpolator

> A linear interpolator

## Inheritance:

### Public Methods

LinearInterpolator()
LinearInterpolator(const LinearInterpolator &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)
META_Object(osgParticle, LinearInterpolator)
virtual float interpolate(float t, float y1, float y2) const

### Protected Methods

virtual ~LinearInterpolator()

### Inherited from Interpolator:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const

## Documentation

> A linear interpolator

`LinearInterpolator()`

`LinearInterpolator(const LinearInterpolator &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)`

`META_Object(osgParticle, LinearInterpolator)`

`virtual float interpolate(float t, float y1, float y2) const`

`virtual ~LinearInterpolator()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.